Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040934
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Sessionsmajorrandom2019-05-22 10:402019-06-13 00:46
ReporterngarciaView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionfd1e9fcf97a7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040934: [Sessions] Completing multiple open till simultaneously can cause NumberFormatExceptions

DescriptionWith the Sessions module installed, completing multiple open tills at the same time (which can happen in a production environment when all terminals open the tills at the same time) can lead to NumberFormatException thrown in the server, leaving some of the Open Tills in the Errors While Importing POS Data window, with the following error:

ava.lang.NumberFormatException: For input string: ""
    at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
    at java.lang.Long.parseLong(Long.java:601)
    at java.lang.Long.parseLong(Long.java:631)
    at java.text.DigitList.getLong(DigitList.java:195)
    at java.text.DecimalFormat.parse(DecimalFormat.java:2051)
    at java.text.SimpleDateFormat.subParse(SimpleDateFormat.java:1869)
    at java.text.SimpleDateFormat.parse(SimpleDateFormat.java:1514)
    at java.text.DateFormat.parse(DateFormat.java:364)
    at org.openbravo.retail.sessions.OpenSessionPOS.saveRecord(OpenSessionPOS.java:66)
Steps To Reproduce*
Proposed SolutionCheck if the same solution of 40474 should be applied over the following two clases:

OpenSessionPOS
SetBusinessDate
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040474 closedranjith_qualiantech_com [Sessions] Completing multiple cashups simultaneously can cause NumberFormatExceptions 

-  Notes
(0112763)
hgbot (developer)
2019-06-13 00:46

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: fd1e9fcf97a78d890b0ee54fa98528014eb5e8ff
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Wed Jun 12 18:36:49 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/fd1e9fcf97a78d890b0ee54fa98528014eb5e8ff [^]

Fixed issue 40934: [Sessions] Completing multiple open till simultaneously can
cause NumberFormatExceptions

- If these two classes are called at the same time from multiple request, error
 occurs while parsing business date due to static identifier for DateFormat.

---
M src/org/openbravo/retail/sessions/OpenSessionPOS.java
M src/org/openbravo/retail/sessions/SetBusinessDate.java
---

- Issue History
Date Modified Username Field Change
2019-05-22 10:40 ngarcia New Issue
2019-05-22 10:40 ngarcia Assigned To => Retail
2019-05-22 10:40 ngarcia Triggers an Emergency Pack => No
2019-05-22 10:40 ngarcia Issue generated from 0040474
2019-05-22 10:40 ngarcia Relationship added related to 0040474
2019-05-22 10:40 ngarcia Issue Monitored: networkb
2019-05-28 04:59 rqueralta Assigned To Retail => rqueralta
2019-05-28 04:59 rqueralta Status new => scheduled
2019-06-13 00:46 hgbot Checkin
2019-06-13 00:46 hgbot Note Added: 0112763
2019-06-13 00:46 hgbot Status scheduled => resolved
2019-06-13 00:46 hgbot Resolution open => fixed
2019-06-13 00:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/fd1e9fcf97a78d890b0ee54fa98528014eb5e8ff [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker